Subject: gnu-win32-specific bug in RCS 5.7
From: [email-masked] ("Vassilii Khachaturov")

21 May 1997 12:44:21 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: gnu-win32 <[email-masked]>
Original-Cc: "christian.schenk" <[email-masked]>,
        rcs-bugs <[email-masked]>
Encoding: 54 TEXT, 81 UUENCODE
X-Mailer: Microsoft Mail V3.0
X-MS-Attachment: rcs57bug.ZIP 3331 05-20-1997 21:12
Original-Sender: [email-masked]

Having successfully compiled and used RCS 5.7 for a couple of days
on gnuwin32 b.18
with the help of
 the following patch by Christian Schenk:

*** src/conf.sh.~1~     Fri Jun 16 08:19:24 1995
 --- src/conf.sh Sun May 11 11:38:02 1997
*************** case `(uname -s -r -v) 2>/dev/null` in
*** 1025,1030 ****
 --- 1025,1032 ----
        # Early editions of SunOS 5.4 are reported to have problems with 
mmap
        # that generate NUL bytes in RCS files with a Solaris 2.2 NFS 
server.
        # This has been reported to be fixed as of patch 101945-10.
+ 'CYGWIN32/NT 4.0 17.5') ;;
+       #
  *)
        $PREPARE_CC || exit
        if ($CL -DTRY_MAP_FD=1 a.c $L && $aout <a.c) >&2

I have run into an obvious bug. I have tested it on RCS 5.7 on RS6000, AIX4
and it works there OK.

Attached in the end is the uuencoded zip file containing the following 
files:
RCS/cps_ipdf.dtd,v
cps_ipdf.dtd
2.log

PLEASE NOTE. THESE FILES ARE PROBABLY COPYRIGHTED MATTER.
YOU MAY NOT USE THEM FOR REASONS OTHER THAN RCS DEBUGGING.
YOU MAY  REDISTRIBUTE THEM UNDER THE SAME CONDITIONS PROVIDED
THIS NOTICE IS PRESERVED.

There is rev. 1.1 checked into the RCS arch., and it's locked.
The file `cps_ipdf.dtd' is the second revision to be checked in.
Now, as I do
     ci cps_ipdf.dtd < 2.log
and later
     co cps_ipdf.dtd

I get the file incomplete and the RCS archive is corrupted then!

Has anyone else observed it on b.18?
What about b. 17.1 with the same patch on RCS sources?
Does anyone have another/additional patch that doesn't show this problem up?

 --
Vassilii Khachaturov
[email-masked]
Skribu al mi per Esperanto!
[[ rcs57bug.ZIP : 42 in rcs57bug.ZIP ]]

The following binary file has been uuencoded to ensure successful
transmission.  Use UUDECODE to extract.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".